---
title: "List all files in a fetch job"
slug: "list-all-files-in-a-fetch-job"
abstract: ""
---
# List all files in a fetch job

```html
GET /api/fetchjobs/:fetchJobsId/files

```

Replace these placeholders:

| placeholder | description |
| --- | --- |
| `:fetchJobId` | the `id` of the fetch job that needs to be returned. |

## Response

| Response | Description |
| --- | --- |
| `200 Ok` | Returns all the files in the body if fetch job file was found |

## Response examples

```json
Status: 200 OK

{
  "items": [
    {
      "file": {
        "type": "File",
        "path": "S:\\Import\\M.Extensions\\BISTECCA-FIORENTINA-1.jpg"
      },
      "job": {
        "href": "/massedits/6168",
        "title": "The mass edit job to which this target belongs."
      },
      "state_description": "File processed",
      "state": "Completed",
      "condition": "Success",
      "started_on": "2018-01-08T12:`18:02`.9527099Z",
      "completed_on": "2018-01-08T12:`18:05`.4367172Z",
      "self": {
        "href": "/massedits/6168/targets/6283",
        "title": "This mass edit target."
      }
    }
  ],
  "total_items": 1,
  "returned_items": 1,
  "self": {
    "href": "/fetchjobs/6168/files",
    "title": "This collection"
  }
}}

```